---
home: true
heroImage: /goyave_512.png
actionText: Get Started →
actionLink: /guide/
footer: MIT Licensed | Copyright © 2019 Jérémy LAMBERT (SystemGlitch)
meta:
  - name: "og:title"
    content: "Goyave - Elegant Golang Web Framework"
  - name: "twitter:title"
    content: "Goyave - Elegant Golang Web Framework"
  - name: "title"
    content: "Goyave - Elegant Golang Web Framework"
---

<p class="center">
Goyave is a progressive and accessible web application framework focused on REST APIs, aimed at making backend development easy and enjoyable. It has a philosophy of cleanliness and conciseness to make programs more elegant, easier to maintain and more focused. Get started quickly and master all its powerful functionalities thanks to its extensive documentation.
</p>

<div class="features">
  <div class="feature" id="feature-clean">
    <img :src="$withBase('/undraw_code_typing_7jnv.svg')" width="275" alt="Clean">
    <div>
      <h2>Clean Code</h2>
      <p>Goyave has an expressive, elegant syntax, a robust structure and conventions. Minimalist calls and reduced redundancy are among the Goyave's core principles.</p>
    </div>
  </div>
  <div class="feature" id="feature-fast">
    <img :src="$withBase('/undraw_speed_test_wxl0.svg')" width="275" alt="Fast">
    <div>
      <h2>Fast Development</h2>
      <p>Develop faster and concentrate on the business logic of your application thanks to the many helpers and built-in functions.</p>
    </div>
  </div>
  <div class="feature" id="feature-powerful">
    <img :src="$withBase('/undraw_upgrade_06a0.svg')" width="275" alt="Powerful">
    <div>
      <h2>Powerful functionalities</h2>
      <p>Goyave is accessible, yet powerful. The framework includes routing, request parsing, validation, localization, testing, authentication, and more!</p>
    </div>
  </div>
</div>
